Draft Move/en: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/en|Name=Draft Move|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Move|Shortcut=M V}}
{{GuiCommand|Name=Draft Move|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft Move|Shortcut=M V}}


==Description==
==Description==

Revision as of 09:44, 3 May 2018

Draft Move

Menu location
Draft → Move
Workbenches
Draft, Arch
Default shortcut
M V
Introduced in version
-
See also
None

Description

The Move tool moves or copies the selected objects from one point to another on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to move or copy
  2. Press the Draft Move button, or press M then V keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Snapping, Constraining, and more

Preferences

Moving object around in 3D can be dreadful, and is most likely not what you want. FreeCAD comes with a lot more power to move object around, but first you must check your preferences to see how to activate those commands.

Go to Edit -> Preferences -> DRAFT, then open the Grid and snapping tab.

You will see there several options:

File:Pref Draft Snapping.png

By default the option "Always snap (disable snap mod)" is activated, which means that the snapping tools will always be active (you don't need to press a key to activate them), note here what keys are assigned to activate the different modes, by default:

  • SHIFT activate the Constrain mode (move along an axis vector only)
  • Ctl activate the SNAP mode (cursor will snap on specific points)
  • Alt activate the ALT

Moving along a specific axis

In order to move along a specific axis, you must first select a working plane containing this axis (see the selecting working plane page for more information).

After selecting the first point to move, start to move roughly in the axis direction and hold the SHIFT key. FreeCAD will automatically find which axis you are trying to follow and stick to this axis.

(This tool is especially powerful if you want to align a point to another one, regarding to an axis only).

More on constrain move here

Snapping

If you have a point that you want to directly match on a solid, you can use snapping see the snapping page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.

By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key Ctrl by default.

Alt Mode

Alt mode allows you to copy and object instead of moving it only.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

Limitations

  • When moving (or changing Placement of) a document object (eg: Pad, Revolution, etc) which is based on a Sketch (from Sketcher/Part Design), you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.